Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.caff.maze
Enum MazePrintPropertiesProvider.BlowUpFactor

    java.lang.Object
      java.lang.Enum<MazePrintPropertiesProvider.BlowUpFactor>
          de.caff.maze.MazePrintPropertiesProvider.BlowUpFactor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MazePrintPropertiesProvider.BlowUpFactor>

Enclosing interface:
  MazePrintPropertiesProvider

    public static enum MazePrintPropertiesProvider.BlowUpFactor

extends java.lang.Enum<MazePrintPropertiesProvider.BlowUpFactor>

A factor describing on how many pages the maze is drawn.

Enum Constant Summary
`BLOW_UP_DOUBLE` Double page.
`BLOW_UP_EIGHT` 8 pages.
`BLOW_UP_QUAD` Quad page.
`BLOW_UP_SINGLE` Single page.
`BLOW_UP_SIXTEEN` 16 pages.

Method Summary
`int` | `getPages()` Get the number of pages.
`java.lang.String` | `toString()` Get a descriptive string.
`static MazePrintPropertiesProvider.BlowUpFactor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MazePrintPropertiesProvider.BlowUpFactor[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLOW_UP_SINGLE

    public static final MazePrintPropertiesProvider.BlowUpFactor BLOW_UP_SINGLE

  Single page.

### BLOW_UP_DOUBLE

    public static final MazePrintPropertiesProvider.BlowUpFactor BLOW_UP_DOUBLE

  Double page.

### BLOW_UP_QUAD

    public static final MazePrintPropertiesProvider.BlowUpFactor BLOW_UP_QUAD

  Quad page.

### BLOW_UP_EIGHT

    public static final MazePrintPropertiesProvider.BlowUpFactor BLOW_UP_EIGHT

  8 pages.

### BLOW_UP_SIXTEEN

    public static final MazePrintPropertiesProvider.BlowUpFactor BLOW_UP_SIXTEEN

  16 pages.

Method Detail

### values

    public static final MazePrintPropertiesProvider.BlowUpFactor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MazePrintPropertiesProvider.BlowUpFactor c : MazePrintPropertiesProvider.BlowUpFactor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MazePrintPropertiesProvider.BlowUpFactor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name

### getPages

    public int getPages()

  Get the number of pages.

  Returns:
    number of pages

### toString

    public java.lang.String toString()

  Get a descriptive string. Attention: the returned string is internationalizes, don't depend on a certain format.

  Overrides:
    `toString` in class `java.lang.Enum<MazePrintPropertiesProvider.BlowUpFactor>`
  Returns:
    description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD